NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Tooling::WireHoleBuilder Class Reference

Represents a NXOpen::Tooling::WireHoleBuilder This class is for Wire Hole Design UI
To create a new instance of this class, use NXOpen::Tooling::WireHoleCollection::CreateWireHoleBuilder
Default values. More...

Inheritance diagram for NXOpen::Tooling::WireHoleBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  Types { TypesSpecifyPoint, TypesSelectEdge }
 the plane to create wire hole sketch More...
 

Public Member Functions

NXString CenterlineLength ()
 Returns the centerline length to create wire hole
Created in NX6.0.0. More...
 
NXOpen::PointCircleCenter ()
 Returns the circle center to create wire hole
Created in NX6.0.0. More...
 
double DistanceToEdgeMidpoint ()
 Returns the distance to edge midpoint
Created in NX11.0.0. More...
 
double HoleDepth ()
 Returns the depth of wire hole. More...
 
double HoleDiameter ()
 Returns the diameter to create wire hole
Created in NX6.0.0. More...
 
NXOpen::SelectEdgeListSelectEdge ()
 Returns the select edge
Created in NX11.0.0. More...
 
void SetCenterlineLength (const NXString &centerlineLength)
 Sets the centerline length to create wire hole
Created in NX6.0.0. More...
 
void SetCenterlineLength (const char *centerlineLength)
 Sets the centerline length to create wire hole
Created in NX6.0.0. More...
 
void SetCircleCenter (NXOpen::Point *circleCenter)
 Sets the circle center to create wire hole
Created in NX6.0.0. More...
 
void SetDistanceToEdgeMidpoint (double distanceToEdgeMidpoint)
 Sets the distance to edge midpoint
Created in NX11.0.0. More...
 
void SetHoleDepth (double holeDepth)
 Sets the depth of wire hole. More...
 
void SetHoleDiameter (double holeDiameter)
 Sets the diameter to create wire hole
Created in NX6.0.0. More...
 
void SetSketchOrientation (NXOpen::Direction *sketchOrientation)
 Sets the orientation to create wire hole sketch
Created in NX6.0.0. More...
 
void SetType (NXOpen::Tooling::WireHoleBuilder::Types type)
 Sets the type
Created in NX11.0.0. More...
 
NXOpen::DirectionSketchOrientation ()
 Returns the orientation to create wire hole sketch
Created in NX6.0.0. More...
 
NXOpen::ScCollectorSketchPlane ()
 Returns the plane to create wire hole sketch
Created in NX6.0.0. More...
 
NXOpen::Tooling::WireHoleBuilder::Types Type ()
 Returns the type
Created in NX11.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Tooling::WireHoleBuilder This class is for Wire Hole Design UI
To create a new instance of this class, use NXOpen::Tooling::WireHoleCollection::CreateWireHoleBuilder
Default values.

Property Value

DistanceToEdgeMidpoint

3

HoleDiameter

3


Created in NX6.0.0.

Member Enumeration Documentation

the plane to create wire hole sketch

Enumerator
TypesSpecifyPoint 

specify point

TypesSelectEdge 

select edge

Member Function Documentation

NXString NXOpen::Tooling::WireHoleBuilder::CenterlineLength ( )

Returns the centerline length to create wire hole
Created in NX6.0.0.



License requirements : None

NXOpen::Point* NXOpen::Tooling::WireHoleBuilder::CircleCenter ( )

Returns the circle center to create wire hole
Created in NX6.0.0.



License requirements : None

double NXOpen::Tooling::WireHoleBuilder::DistanceToEdgeMidpoint ( )

Returns the distance to edge midpoint
Created in NX11.0.0.



License requirements : None

double NXOpen::Tooling::WireHoleBuilder::HoleDepth ( )

Returns the depth of wire hole.


Created in NX7.5.0.

License requirements : None

double NXOpen::Tooling::WireHoleBuilder::HoleDiameter ( )

Returns the diameter to create wire hole
Created in NX6.0.0.



License requirements : None

NXOpen::SelectEdgeList* NXOpen::Tooling::WireHoleBuilder::SelectEdge ( )

Returns the select edge
Created in NX11.0.0.



License requirements : None

void NXOpen::Tooling::WireHoleBuilder::SetCenterlineLength ( const NXString centerlineLength)

Sets the centerline length to create wire hole
Created in NX6.0.0.



License requirements : None

Parameters
centerlineLengthSets the centerline length to create wire hole
void NXOpen::Tooling::WireHoleBuilder::SetCenterlineLength ( const char *  centerlineLength)

Sets the centerline length to create wire hole
Created in NX6.0.0.



License requirements : None

Parameters
centerlineLengthSets the centerline length to create wire hole
void NXOpen::Tooling::WireHoleBuilder::SetCircleCenter ( NXOpen::Point circleCenter)

Sets the circle center to create wire hole
Created in NX6.0.0.



License requirements : None

Parameters
circleCenterSets the circle center to create wire hole
void NXOpen::Tooling::WireHoleBuilder::SetDistanceToEdgeMidpoint ( double  distanceToEdgeMidpoint)

Sets the distance to edge midpoint
Created in NX11.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
distanceToEdgeMidpointdistancetoedgemidpoint
void NXOpen::Tooling::WireHoleBuilder::SetHoleDepth ( double  holeDepth)

Sets the depth of wire hole.


Created in NX7.5.0.

License requirements : None

Parameters
holeDepthSets the depth of wire hole.
void NXOpen::Tooling::WireHoleBuilder::SetHoleDiameter ( double  holeDiameter)

Sets the diameter to create wire hole
Created in NX6.0.0.



License requirements : None

Parameters
holeDiameterSets the diameter to create wire hole
void NXOpen::Tooling::WireHoleBuilder::SetSketchOrientation ( NXOpen::Direction sketchOrientation)

Sets the orientation to create wire hole sketch
Created in NX6.0.0.



License requirements : None

Parameters
sketchOrientationSets the orientation to create wire hole sketch
void NXOpen::Tooling::WireHoleBuilder::SetType ( NXOpen::Tooling::WireHoleBuilder::Types  type)

Sets the type
Created in NX11.0.0.



License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
typetype
NXOpen::Direction* NXOpen::Tooling::WireHoleBuilder::SketchOrientation ( )

Returns the orientation to create wire hole sketch
Created in NX6.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Tooling::WireHoleBuilder::SketchPlane ( )

Returns the plane to create wire hole sketch
Created in NX6.0.0.



License requirements : None

NXOpen::Tooling::WireHoleBuilder::Types NXOpen::Tooling::WireHoleBuilder::Type ( )

Returns the type
Created in NX11.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.